/**
 * 物资人员配置管理页面 API
 */
import request from '@/utils/request'

/** 物资人员配置查询 */
export const queryUserConfigListApi = (data) => {
  return request.get('/base/ma_user_set/list', {
    params: data
  })
}

/** 物资人员配置新增 */
export const addUserConfigListApi = (data) => {
  return request.post('/base/ma_user_set/add', data)
}

/** 物资人员配置修改 */
export const updateUserConfigListApi = (data) => {
  return request.put('/base/ma_user_set/update', data)
}

/** 物资人员配置删除 */
export const delUserConfigListApi = (id) => {
  return request.delete(`/base/ma_user_set/delete/${id}`)
}

/** 获取人员配置下拉 */
export const getUserSelApi = (data) => {
  return request.get('/base/tree/getDeptUserTree', {
    params: data
  })
}
